Ask Your Question
0

Workforce 845 can not scan Fedora 19

asked 2013-11-15 23:58:06 -0500

z8xt gravatar image

Hello I'm able to print but can not scan. The file iscan-network-nt-1.1.0-2.x86_64.rpm from Epson will not install becase it says a transaction error has occured, I tried installing as root in the terminal with rpm -i iscan-network-nt-1.1.0-2.x86_64.rpm but get this error

error: Failed dependencies: iscan >= 2.21.0 is needed by iscan-network-nt-1.1.0-2.x86_64

Is there any way to get this scanner working? I also did yum upgrade to the system with no avail. This scanner problem is the last problem to fix, otherwise everything else works great!

Thanks for your help

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2013-11-26 13:58:35 -0500

I have the same issue (and I did use yum for dependency checking). The problem is that iscan requires libltdl.so.3 and I cannot find a package that provides it. (A symlink in /usr/lib64 did not work):

Error: Package: iscan-2.29.2-1.usb0.1.ltdl3.x86_64 (/iscan-2.29.2-1.usb0.1.ltdl3.x86_64) Requires: libltdl.so.3()(64bit)

edit flag offensive delete link more
0

answered 2013-11-16 02:36:37 -0500

sideburns gravatar image

updated 2013-11-16 03:10:03 -0500

remjg gravatar image

Use yum to install it because unlike rpm, yum can resolve dependencies and install what's needed. Do this as root:

yum localinstall iscan-network-nt-1.1.0-2.x86_64

and it will pull in whatever's needed.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-11-15 23:58:06 -0500

Seen: 280 times

Last updated: Nov 26 '13